Loading...
Searching...
No Matches
PengRobinsonMixture.hpp File Reference

Implements the Peng-Robinson equation of state for a mixture. More...

`#include "PengRobinson.hpp"`
`#include <opm/material/Constants.hpp>`

Go to the source code of this file.

## Classes

class | Opm::PengRobinsonMixture< Scalar, StaticParameters >
| Implements the Peng-Robinson equation of state for a mixture. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Variables

template<class Scalar, class StaticParameters>
const Scalar | Opm::PengRobinsonMixture< Scalar, StaticParameters >::R = Constants<Scalar>::R
template<class Scalar, class StaticParameters>
const Scalar | Opm::PengRobinsonMixture< Scalar, StaticParameters >::u = 2.0
template<class Scalar, class StaticParameters>
const Scalar | Opm::PengRobinsonMixture< Scalar, StaticParameters >::w = -1.0

## Detailed Description

Implements the Peng-Robinson equation of state for a mixture.